
Foreman - Feature #2929

Generate CR encryption key during package installation

08/13/2013 11:21 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In #2424, compute resource passwords gained the ability to be encrypted.  This requires that a key is generated and existing

passwords are encrypted via the new rake tasks.

rake security:generate_encryption_key     # Generate new encryption key

rake db:compute_resources:decrypt         # Decrypt compute resource fields

rake db:compute_resources:encrypt         # Encrypt compute resource fields

 The generate task creates a key at ~foreman/config/initializers/encryption_key.rb but I suggest for the purposes of packaging, we

move this to /etc/foreman after it's created and symlink it back into place.  Ensure permissions are tight.

Related issues:

Related to Foreman - Feature #2424: encrypt compute resource password Closed 04/24/2013

Associated revisions

Revision c5f9c1ac - 03/05/2014 07:41 AM - Dominic Cleal

refs #2929 - generate encryption key and encrypt data in postinstall

Revision fab676e8 - 04/04/2014 02:01 PM - Dominic Cleal

fixes #2929 - generate encryption key and encrypt data in postinstall

History

#1 - 08/13/2013 11:21 AM - Dominic Cleal

- Related to Feature #2424: encrypt compute resource password added

#2 - 08/23/2013 05:10 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 09/16/2013 11:49 AM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#4 - 10/16/2013 03:42 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#5 - 11/12/2013 01:11 PM - Anonymous

- Target version set to 1.10.0

#6 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3
#7 - 01/09/2014 02:18 PM - Anonymous

- Target version deleted (1.9.3)

#8 - 03/03/2014 01:19 PM - Anonymous

- Target version set to 1.9.0

#9 - 03/05/2014 02:57 PM - Dominic Cleal

Debian: https://github.com/theforeman/foreman-packaging/pull/191

RPMs to follow.

#10 - 03/06/2014 09:40 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1275

#11 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#12 - 04/04/2014 02:02 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#13 - 04/04/2014 02:03 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Merged as fab676e.
